<?php

namespace common\modules\cases;

/**
 * Cases module definition class
 */
class Module extends \common\components\WebModule {
    /**
     * @inheritdoc
     */
    public $controllerNamespace = 'common\modules\cases\controllers';

    /**
     * @var bool
     */
    public static $active = true;

    /**
     * @var string
     */
    public $menu_icons = 'fa fa-file-o';

    /**
     * @inheritdoc
     */
    public function init()
    {
        parent::init();

        // custom initialization code goes here
    }

    /**
     * @return string
     */
    public static function name()
    {
        return 'Управление кейсами';
    }

    /**
     * @return string|void
     */
    public static function description()
    {
        return 'Управление кейсами';
    }

    /**
     * @return string|void
     */
    public static function version()
    {
        return '1.0';
    }

    /**
     * @return array
     */
    public static function adminMenu()
    {
        return [
            'Новый кейс'      		    => '/cases/cases-admin/createcase',
            'Список кейсов'      		=> '/cases/cases-admin/manage',
            'Подписки'                  => '/cases/cases-bids-admin/manage',
            'Расписание рассылки'       => '/cases/cases-schedule-admin/manage'
        ];
    }
}